import { Component, Prop, h } from '@stencil/core';
export class Message {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("article", { class: {
                message: true,
                [this.color]: Boolean(this.color),
                [this.size]: Boolean(this.size),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-message"; }
    static get originalStyleUrls() { return {
        "$": ["message.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["message.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "color": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'is-dark'\n    | 'is-primary'\n    | 'is-link'\n    | 'is-info'\n    | 'is-success'\n    | 'is-warning'\n    | 'is-danger'",
                "resolved": "\"is-danger\" | \"is-dark\" | \"is-info\" | \"is-link\" | \"is-primary\" | \"is-success\" | \"is-warning\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Color"
            },
            "attribute": "color",
            "reflect": false
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
