import { Component, Prop, h } from '@stencil/core';
export class Icon {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("span", { class: {
                icon: true,
                [this.color]: Boolean(this.color),
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-icon"; }
    static get originalStyleUrls() { return {
        "$": ["icon.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["icon.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "color": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'has-text-info' | 'has-text-success' | 'has-text-warning' | 'has-text-danger'",
                "resolved": "\"has-text-danger\" | \"has-text-info\" | \"has-text-success\" | \"has-text-warning\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Color"
            },
            "attribute": "color",
            "reflect": false
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
