import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class FileInput implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Name
     */
    name: string;
    /**
     * Placeholder
     */
    placeholder: string;
    /**
     * Color
     */
    color: 'is-white' | 'is-black' | 'is-light' | 'is-dark' | 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Alignment
     */
    alignment: 'is-centered' | 'is-right';
    /**
     * Add a placeholder for the selected file name
     */
    hasName: boolean;
    /**
     * Move the CTA to the right side
     */
    isRight: boolean;
    /**
     * Expand the name to fill up the space
     */
    isFullwidth: boolean;
    /**
     * File
     */
    file: File;
    /**
     * Boxed block
     */
    isBoxed: boolean;
    private handleFileChange;
    private get fileName();
    get displayName(): boolean;
    render(): JSX.Element;
}
