import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Input implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Control Classes
     */
    controlClass: string;
    /**
     * Placeholder
     */
    placeholder: string;
    /**
     * Value
     */
    value: string | number;
    /**
     * Type
     */
    type: 'text' | 'number' | 'email' | 'password';
    /**
     * Color
     */
    color: 'is-primary' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-normal' | 'is-medium' | 'is-large';
    /**
     * State
     */
    state: 'is-hovered' | 'is-focused';
    /**
     * Name
     */
    name: string;
    /**
     * Required
     */
    required: boolean;
    /**
     * Disabled state
     */
    disabled: boolean;
    /**
     * The input will look similar to a normal one, but is not editable and has no shadow
     */
    readonly: boolean;
    /**
     * Rounded
     */
    isRounded: boolean;
    /**
     * Loading state
     */
    isLoading: boolean;
    /**
     * Removes the background, border, shadow, and horizontal padding
     */
    isStatic: boolean;
    render(): JSX.Element;
}
